官网Codelab中的ArkUI项目无法构建

从官网codelabs中下载了FlowLayoutETS项目,打开后无法build,错误信息如下:

官网Codelab中的ArkUI项目无法构建-开源基础软件社区

使用的SDK版本如下:官网Codelab中的ArkUI项目无法构建-开源基础软件社区

gradle使用的是DevEco Studio 3.0.0.601目录中tools下的gradle

项目中build.gradle代码如下

官网Codelab中的ArkUI项目无法构建-开源基础软件社区

尝试过将classpath中hap和decctest的版本号换成其它可以成功构建的项目的版本号,无报错信息,但是一些eTS的UI组件就无法再使用。

请问如何解决?

codelabs
2021-11-16 12:39:55
浏览
收藏 0
回答 1
待解决
回答 1
按赞同
/
按时间
wx61167c7b7e862
4

在官网论坛问到了,

将dependencies中的代码改为:

classpath 'com.huawei.ohos:hap:3.0.3.4'
classpath 'com.huawei.ohos:decctest:1.2.6.0'

即可成功构建。这个版本号是构建新项目时默认的

 

分享
微博
QQ
微信
回复
2021-11-16 22:44:16
相关问题
NAN无法成功,设备侧联网失败
1661浏览 • 2回复 待解决
ArkUI如何获取mp4文件第一帧图片?
758浏览 • 1回复 待解决
DevEco构建Hap和APP有什么区别?
3506浏览 • 1回复 待解决
ArkUI(eTS)如何实现本地图片保存?
1220浏览 • 1回复 待解决